﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class BorderScript : MonoBehaviour {
 
	public bool horizontal;
	public GameObject mirrorBorder;

	private GameObject figure;

	// Use this for initialization
	void Start () {
		
	}
	
	// Update is called once per frame
	void OnTriggerEnter (Collider col) {
		if (col.tag == "Player" || col.tag == "NPC") {
			figure = col.gameObject;

//			if (col.tag == "NPC") 
//			{
//				figure.gameObject.GetComponent<KI_Movement> ().playbackActive = false;
//				Debug.Log ("playback false");
//			}

			if (horizontal) 
			{
				if (transform.position.x > 0) 
				{
					figure.transform.position = new Vector3 (-8.5f, figure.transform.position.y, figure.transform.position.z);
					if (col.tag == "NPC")
						figure.GetComponent<KI_Movement>().StoppPlayback("rechts");
				}
				if (transform.position.x < 0)
				{
					figure.transform.position = new Vector3 (8.5f, figure.transform.position.y, figure.transform.position.z);
					if (col.tag == "NPC")
						figure.GetComponent<KI_Movement>().StoppPlayback("links");
				}
			}

			else
			{
				if (transform.position.y > 0)
				{	figure.transform.position = new Vector3 (figure.transform.position.x, -4.5f, figure.transform.position.z);
					if (col.tag == "NPC")
						figure.GetComponent<KI_Movement>().StoppPlayback("oben");
				}	
				if (transform.position.y < 0)
				{	figure.transform.position = new Vector3 (figure.transform.position.x, 4.5f, figure.transform.position.z);
					if (col.tag == "NPC")
						figure.GetComponent<KI_Movement>().StoppPlayback("unten");
				}
			}

//			if (col.tag == "NPC") 
//			{
//				figure.gameObject.GetComponent<KI_Movement> ().playbackActive = true;
//				Debug.Log ("playback true");
//			}
		}
	}
}
