﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;
using UnityEngine.UI;

public class EndScreen : MonoBehaviour {


	public Text infotext;

	public AudioClip greenWin;
	public AudioClip redWin;
	public AudioClip tie;

	void Start () {

		Time.timeScale = 1.0f;

		StartCoroutine (Timer (5.5f));
		infotext.text = GameManagerScript.fractionOne + " : " + GameManagerScript.fractionTwo;

		if (GameManagerScript.fractionOne < GameManagerScript.fractionTwo) {
			GetComponent<AudioSource> ().PlayOneShot (redWin);
		} else if (GameManagerScript.fractionOne > GameManagerScript.fractionTwo) {
			GetComponent<AudioSource> ().PlayOneShot (greenWin);
		} else
			GetComponent<AudioSource> ().PlayOneShot (tie);
	}
		
	IEnumerator Timer (float seconds) {
		yield return new WaitForSeconds (seconds);
		SceneManager.LoadScene ("UI_MainMenu");
	}

}
