﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class NPCScript : MonoBehaviour {

	public int fraction;

	Animator anim;

	public AudioClip[] sneezeSounds;
	public AudioClip[] coughSounds;

	public void StartAnimator() {
		anim = GetComponent<Animator> ();
		anim.SetInteger ("Color", fraction - 1);
	}

	public void Sneeze () {

		if (Random.value < 0.8f)
			GetComponent<AudioSource> ().PlayOneShot (sneezeSounds [Random.Range (0, sneezeSounds.Length)]);
	}

	public void Cough () {

		if (Random.value < 0.8f)
			GetComponent<AudioSource> ().PlayOneShot (coughSounds [Random.Range (0, coughSounds.Length)]);
	}
}
