﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using XInputDotNetPure; // Required in C#

public class VibrationManager : MonoBehaviour {

//	bool playerIndexSet = false;
	bool isVibrating;
	public PlayerIndex playerIndex;
	GamePadState state;
	GamePadState prevState;
	float strength;

	void FixedUpdate()
	{
		// SetVibration should be sent in a slower rate.
		// Set vibration according to triggers
	}

	// Update is called once per frame
	void Update()
	{
		// Find a PlayerIndex, for a single player game
		// Will find the first controller that is connected ans use it
//		if (!playerIndexSet || !prevState.IsConnected)
//		{
//			for (int i = 0; i < 4; ++i)
//			{
//				PlayerIndex testPlayerIndex = (PlayerIndex)i;
//				GamePadState testState = GamePad.GetState(testPlayerIndex);
//				if (testState.IsConnected)
//				{
//					Debug.Log(string.Format("GamePad found {0}", testPlayerIndex));
//					playerIndex = testPlayerIndex;
//					playerIndexSet = true;
//				}
//			}
//		}
//
//		prevState = state;
//		state = GamePad.GetState(playerIndex);

		// Detect if a button was pressed this frame
		/*if (prevState.Buttons.A == ButtonState.Released && state.Buttons.A == ButtonState.Pressed)
		{
			GetComponent<Renderer>().material.color = new Color(Random.value, Random.value, Random.value, 1.0f);
		}
		// Detect if a button was released this frame
		if (prevState.Buttons.A == ButtonState.Pressed && state.Buttons.A == ButtonState.Released)
		{
			GetComponent<Renderer>().material.color = new Color(1.0f, 1.0f, 1.0f, 1.0f);
		}

		// Make the current object turn
		transform.localRotation *= Quaternion.Euler(0.0f, state.ThumbSticks.Left.X * 25.0f * Time.deltaTime, 0.0f);
		*/
	}

	public void VibrationToeten ()
	{
		strength = 0.0f;
		GamePad.SetVibration((PlayerIndex)0, strength, strength);
		GamePad.SetVibration((PlayerIndex)1, strength, strength);
		isVibrating = false;
	}

	public void VibrationManage(int playerNumber){

		int i = playerNumber - 1;
//		int i = 1;
//			if (playerNumber == 2)
//				i =0;
		playerIndex = (PlayerIndex)i;
		if (!isVibrating)
			isVibrating = true;
			StartCoroutine ("Vibrationtime");
	}

//	public void VibrationExit(){
//		//GamePad.SetVibration(playerIndex, 0f, 0f);
//		strength = 0.0f;
//		GamePad.SetVibration(playerIndex, strength, strength);
//		vibrate = false;
//	}

	IEnumerator Vibrationtime ()
	{
		strength = 0.5f;
		GamePad.SetVibration(playerIndex, strength, strength);
		//Debug.Log ("Controller " + playerIndex + " vibrating");
		yield return new WaitForSeconds(0.2f);

		strength = 0.0f;
		GamePad.SetVibration(playerIndex, strength, strength);
		isVibrating = false;
	}

	/*void OnGUI()
	{
		string text = "Use left stick to turn the cube, hold A to change color\n";
		text += string.Format("IsConnected {0} Packet #{1}\n", state.IsConnected, state.PacketNumber);
		text += string.Format("\tTriggers {0} {1}\n", state.Triggers.Left, state.Triggers.Right);
		text += string.Format("\tD-Pad {0} {1} {2} {3}\n", state.DPad.Up, state.DPad.Right, state.DPad.Down, state.DPad.Left);
		text += string.Format("\tButtons Start {0} Back {1} Guide {2}\n", state.Buttons.Start, state.Buttons.Back, state.Buttons.Guide);
		text += string.Format("\tButtons LeftStick {0} RightStick {1} LeftShoulder {2} RightShoulder {3}\n", state.Buttons.LeftStick, state.Buttons.RightStick, state.Buttons.LeftShoulder, state.Buttons.RightShoulder);
		text += string.Format("\tButtons A {0} B {1} X {2} Y {3}\n", state.Buttons.A, state.Buttons.B, state.Buttons.X, state.Buttons.Y);
		text += string.Format("\tSticks Left {0} {1} Right {2} {3}\n", state.ThumbSticks.Left.X, state.ThumbSticks.Left.Y, state.ThumbSticks.Right.X, state.ThumbSticks.Right.Y);
		GUI.Label(new Rect(0, 0, Screen.width, Screen.height), text);
	}*/
}
